#include "SCPatchRecord.h"

//-------------------------------------------------------------------------------------------------------------
SCPatchRecord::SCPatchRecord(CFBundleRef ownerBundle, CFStringRef bundleIdentifier, CFStringRef subPath, CFStringRef name)
{
	CFRetain(bundleIdentifier);
	mBundleIdentifier = bundleIdentifier;
	
	CFRetain(subPath);
	mSubPath = subPath;
	
	CFRetain(name);
	mName = name;

	mURL = CFBundleCopyResourceURL(ownerBundle, name, NULL, NULL);
	mPath = CFURLCopyFileSystemPath(mURL, kCFURLPOSIXPathStyle);
}
  	
//-------------------------------------------------------------------------------------------------------------
SCPatchRecord::SCPatchRecord(SCPatchRecord const &copyMe)
{
	CFRetain(copyMe.mBundleIdentifier);
	mBundleIdentifier = copyMe.mBundleIdentifier;
	
	CFRetain(copyMe.mSubPath);
	mSubPath = copyMe.mSubPath;
	
	CFRetain(copyMe.mName);
	mName = copyMe.mName;

	CFRetain(copyMe.mPath);
	mPath = copyMe.mPath;

	CFRetain(copyMe.mURL);
	mURL = copyMe.mURL;
}

//-------------------------------------------------------------------------------------------------------------
SCPatchRecord::~SCPatchRecord(void)
{
	if(mBundleIdentifier)
		CFRelease(mBundleIdentifier);
	mBundleIdentifier = NULL;
	if(mSubPath)
		CFRelease(mSubPath);
	mSubPath = NULL;
	if(mName)
		CFRelease(mName);
	mName = NULL;
	if(mPath)
		CFRelease(mPath);
	mPath = NULL;
}
